This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 205715 - grub splash image has 256 colors, not 16 colors.
grub splash image has 256 colors, not 16 colors.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fedora-logos (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Cantrell
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-08 01:02 EDT by Mamoru TASAKA
Modified: 2013-01-09 20:31 EST (History)
0 users

See Also:
Fixed In Version: 1.1.53-1.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-08 09:55:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2006-09-08 01:02:16 EDT
Description of problem:
grub uses /boot/grub/splash.xpm.gz as background image of boot menu
screen. grub expects that this pixel image is colored by 16 colors
(as commented in grub-0.97/stage2/graphics.c),
however current splash image uses 256 colors.

Version-Release number of selected component (if applicable):
fedora-logos-1.1.50-1.fc6

How reproducible:


Steps to Reproduce:
1. reboot
2. see grub boot menu (stage2)
3.
  
Actual results:
The background of grub boot menu is almost black and
not colorful.


Expected results:
Clear blue DNA image can be seen on grub boot menu.

Additional info:
FC6T2 fedora-logos(-1.1.47-1) has splash image with 15 colors.
Comment 1 Jesse Keating 2006-09-08 09:34:38 EDT
This should have been fixed in last night's rawhide push, fedora-logos-1.1.53-1.fc6
Comment 2 Mamoru TASAKA 2006-09-08 09:55:09 EDT
(In reply to comment #1)
> This should have been fixed in last night's rawhide push,
fedora-logos-1.1.53-1.fc6

Actually this is fix in rawhide of today(20060908).
Thank you.

Note You need to log in before you can comment on or make changes to this bug.